<div style="display:'flex'; justify-content: 'right'; margin:'8px 30px'">
    <p style="font-size:'28px'; color:'indigo'; margin-top:'8px'; text-decoration:'underline'; cursor: 'pointer'; text-align:'right'"
        (click)="gotoHome()">Back
    </p>
</div>
<div style="display:flex; justify-content:center">
    <div style="margin-top:'20px'; border: '3px solid darkgray'; border-radius:'10px'; padding:'20px 20px 20px 20px'">
    
    <legend style="text-align:'center'; margin-bottom:'20px'; font-size:'35px'; padding:'3px'; font-weight:'bold'">Delete user</legend>
    <div class="form-group" style="display:flex; justify-content:center; padding:'5px'; margin:'40px'">
        <label style="font-size:'20px'; width:'100px'; margin-right:'10px'">UserID</label>
        <input type="name"
                name="userId"
                [(ngModel)]="user.userId"
                id="userId"
                style="font-size:'15px'; height:'25px'; border-radius:'3px'"
                />
    </div>

    <div style="display:flex; justify-content:center">
        <input
          type="submit"
          value="Confirm"
          (click)="deleteUser()"
          style="color:'whitesmoke'; font-size:'20px'; background-color:'indigo'; border-radius:'5px'; height:'45px'; width:'110px'"
        />
    </div>
    <div style="display:flex; justify-content:center" *ngIf="errorDelete">
        <p id='deleteerr' style="font-size:'20px'; margin-top:'10px'; color:'red'; text-align:'center'">User not found!</p>
    </div>
    <div style="display:flex; justify-content:center" *ngIf="error2">
        <p id='deleteerr2' style="font-size:'20px'; margin-top:'10px'; color:'red'; text-align:'center'">Can't delete..User has orders!</p>
    </div>
    <div style="display:flex; justify-content:center"  *ngIf="deleteMsg">
        <p id='deletemsg' style="font-size:'20px'; margin-top:'10px'; color:'green'; text-align:'center'">User deleted!</p>
    </div>

    </div>
</div>
